Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface ForeignJMSServerMBean

public interface ForeignJMSServerMBean
extends DeploymentMBean

This class represents a JNDI provider that is outside the WebLogic JMS server. It is a parent element of the ForeignJMSConnectionFactory and ForeignJMSDestination MBeans. It contains information that allows WebLogic Server to reach the remote JNDI provider. This way, a number of connection factory and destination objects can be defined on one JNDI directory.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `WLS_CONTEXT_FACTORY`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addConnectionFactory(ForeignJMSConnectionFactoryMBean factory)` Add a destination.
`boolean` | `addDestination(ForeignJMSDestinationMBean destination)` Add a destination.
`ForeignJMSConnectionFactoryMBean[]` | `getConnectionFactories()` Get the remote connection factories.
`java.lang.String` | `getConnectionURL()` The URL that WebLogic Server will use to contact the JNDI provider.
`ForeignJMSDestinationMBean[]` | `getDestinations()` Get the remote destinations.
`java.lang.String` | `getInitialContextFactory()` The name of the class that must be instantiated to access the JNDI provider.
`java.util.Properties` | `getJNDIProperties()` Additional properties that must be set for the particular JNDI provider.
`boolean` | `removeConnectionFactory(ForeignJMSConnectionFactoryMBean factory)` Remove a destination.
`boolean` | `removeDestination(ForeignJMSDestinationMBean destination)` Remove a destination.
`void` | `setConnectionFactories(ForeignJMSConnectionFactoryMBean[] factories)` Set the remote destinations.
`void` | `setConnectionURL(java.lang.String url)` The URL that WebLogic Server will use to contact the JNDI provider.
`void` | `setDestinations(ForeignJMSDestinationMBean[] destinations)` Set the remote destinations.
`void` | `setInitialContextFactory(java.lang.String f)` The name of the class that must be instantiated to access the JNDI provider.
`void` | `setJNDIProperties(java.util.Properties params)` Additional properties that must be set for the particular JNDI provider.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### WLS_CONTEXT_FACTORY

    public static final java.lang.String WLS_CONTEXT_FACTORY

Method Detail

### getDestinations

    public ForeignJMSDestinationMBean[] getDestinations()

  Get the remote destinations.

  A non-configurable MBean attribute.
  Returns:
    The destinations value

### setDestinations

    public void setDestinations(ForeignJMSDestinationMBean[] destinations)

  Set the remote destinations.

  Parameters:
    `destinations` - The new destinations value

### addDestination

    public boolean addDestination(ForeignJMSDestinationMBean destination)

  Add a destination.

  Parameters:
    `destination` - The feature to be added to the Destination attribute
  Returns:

### removeDestination

    public boolean removeDestination(ForeignJMSDestinationMBean destination)

  Remove a destination.

  Parameters:
    `destination` -
  Returns:

### getConnectionFactories

    public ForeignJMSConnectionFactoryMBean[] getConnectionFactories()

  Get the remote connection factories.

  A non-configurable MBean attribute.
  Returns:
    The connectionFactories value

### setConnectionFactories

    public void setConnectionFactories(ForeignJMSConnectionFactoryMBean[] factories)

  Set the remote destinations.

  Parameters:
    `factories` - The new connectionFactories value

### addConnectionFactory

    public boolean addConnectionFactory(ForeignJMSConnectionFactoryMBean factory)

  Add a destination.

  Parameters:
    `factory` - The feature to be added to the ConnectionFactory attribute
  Returns:

### removeConnectionFactory

    public boolean removeConnectionFactory(ForeignJMSConnectionFactoryMBean factory)

  Remove a destination.

  Parameters:
    `factory` -
  Returns:

### setInitialContextFactory

    public void setInitialContextFactory(java.lang.String f)
                                  throws javax.management.InvalidAttributeValueException

  The name of the class that must be instantiated to access the JNDI provider. This class name depends on the provider and vendor that are being used.

  It defaults to `weblogic.jndi.WLInitialContextFactory`, which is the correct value for WebLogic Server. This value corresponds to the standard JNDI property, `java.naming.factory.initial`.

  A dynamic MBean attribute
  Default Value: WLS_CONTEXT_FACTORY
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false
  Parameters:
    `f` - The new initialContextFactory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getInitialContextFactory

    public java.lang.String getInitialContextFactory()

  The name of the class that must be instantiated to access the JNDI provider. This class name depends on the provider and vendor that are being used.

  It defaults to `weblogic.jndi.WLInitialContextFactory`, which is the correct value for WebLogic Server. This value corresponds to the standard JNDI property, `java.naming.factory.initial`.

  Returns:
    The initialContextFactory value

### setConnectionURL

    public void setConnectionURL(java.lang.String url)
                          throws javax.management.InvalidAttributeValueException

  The URL that WebLogic Server will use to contact the JNDI provider. The syntax of this URL depends on which JNDI provider is being used. This value corresponds to the standard JNDI property, `java.naming.provider.url`.

  If not specified, look-ups will be performed on the JNDI server within the WebLogic Server instance where this connection factory is deployed.

  A dynamic MBean attribute
  Legal NULL: true
  Parameters:
    `url` - The new connectionURL value
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnectionURL

    public java.lang.String getConnectionURL()

  The URL that WebLogic Server will use to contact the JNDI provider. The syntax of this URL depends on which JNDI provider is being used. This value corresponds to the standard JNDI property, `java.naming.provider.url`.

  If not specified, look-ups will be performed on the JNDI server within the WebLogic Server instance where this connection factory is deployed.

  Returns:
    The connectionURL value

### setJNDIProperties

    public void setJNDIProperties(java.util.Properties params)
                           throws javax.management.InvalidAttributeValueException

  Additional properties that must be set for the particular JNDI provider. These properties will be passed directly to the constructor for the JNDI provider's InitialContext class.

  A dynamic MBean attribute
  Legal NULL: true
  Parameters:
    `params` - The new jNDIProperties value
  Throws:
    javax.management.InvalidAttributeValueException -

### getJNDIProperties

    public java.util.Properties getJNDIProperties()

  Additional properties that must be set for the particular JNDI provider. These properties will be passed directly to the constructor for the JNDI provider's InitialContext class.

  Returns:
    The jNDIProperties value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD